#pragma once

#ifndef WSR_PLAYER_API
#define WSR_PLAYER_API __declspec(dllimport)
#endif

#ifdef __cplusplus
extern "C" {
#endif

	typedef struct
	{
		int(*pLoadWSR)(const void*, unsigned);
		int(*pGetFirstSong)(void);
		unsigned(*pSetFrequency)(unsigned int);
		void(*pSetChannelMuting)(unsigned int);
		unsigned int(*pGetChannelMuting)(void);
		void(*pResetWSR)(unsigned);
		void(*pCloseWSR)(void);
		int(*pUpdateWSR)(void*, unsigned, unsigned);

	} WSRPlayerApi;

	typedef WSRPlayerApi* (__stdcall* p_WSRPlayerSetUp)(void);

	WSR_PLAYER_API WSRPlayerApi* __stdcall WSRPlayerSetUp(void);

#ifdef __cplusplus
}
#endif